Package net.postgis.jdbc.geometry

# Class GeometryCollection

java.lang.Object
net.postgis.jdbc.geometry.Geometry
net.postgis.jdbc.geometry.ComposedGeom
net.postgis.jdbc.geometry.GeometryCollection

All Implemented Interfaces:
  `Serializable`

public class GeometryCollection extends ComposedGeom
Geometry Collection class WARNING: Currently only implements empty collections

Author:
  markus.schaber@logix-tt.com
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`GeoCollID`

### Fields inherited from class net.postgis.jdbc.geometry.ComposedGeom

`EMPTY, subgeoms`

### Fields inherited from class net.postgis.jdbc.geometry.Geometry

`ALLTYPES, dimension, GEOMETRYCOLLECTION, haveMeasure, LINEARRING, LINESTRING, MULTILINESTRING, MULTIPOINT, MULTIPOLYGON, POINT, POLYGON, srid, type, UNKNOWN_SRID`

## Constructor Summary

Constructors
Constructor
Description
`GeometryCollection()`
`GeometryCollection(String value)`
`GeometryCollection(String value, boolean haveM)`
`GeometryCollection(Geometry[] geoms)`

## Method Summary

Modifier and Type
Method
Description
`protected Geometry[]`
`createSubGeomArray(int ngeoms)`
Return the appropriate instance of the sub-geometry array - this encapsulates subclass specific array instantiation
`protected Geometry`
`createSubGeomInstance(String token, boolean haveM)`
Return the appropriate instance of the sub-geometry - this encapsulates subclass specific constructor calls
`Geometry[]`
`getGeometries()`
`protected void`
`innerWKT(StringBuffer SB)`
Render the "inner" part of the WKT (inside the brackets) into the StringBuffer.

### Methods inherited from class net.postgis.jdbc.geometry.ComposedGeom

`checkConsistency, equalsintern, getFirstPoint, getLastPoint, getPoint, getSubGeometry, hashCode, isEmpty, iterator, mediumWKT, numGeoms, numPoints, setSrid`

### Methods inherited from class net.postgis.jdbc.geometry.Geometry

`equals, equals, getDimension, getSrid, getType, getTypeString, getTypeString, getValue, initSRID, isMeasured, outerWKT, outerWKT, parseSRID, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### GeoCollID

public static final String GeoCollID

See Also:
  - Constant Field Values

## Constructor Details

### GeometryCollection

public GeometryCollection()

### GeometryCollection

public GeometryCollection(Geometry[] geoms)

### GeometryCollection

public GeometryCollection(String value) throws SQLException

Throws:
  `SQLException`

### GeometryCollection

public GeometryCollection(String value, boolean haveM) throws SQLException

Throws:
  `SQLException`

## Method Details

### createSubGeomArray

protected Geometry[] createSubGeomArray(int ngeoms)
Description copied from class: `ComposedGeom`
Return the appropriate instance of the sub-geometry array - this encapsulates subclass specific array instantiation

Specified by:
  `createSubGeomArray` in class `ComposedGeom`
Parameters:
  `ngeoms` - number of elements in the array
Returns:
  Geometry array corresponding to the sub-geometry

### createSubGeomInstance

protected Geometry createSubGeomInstance(String token, boolean haveM) throws SQLException
Description copied from class: `ComposedGeom`
Return the appropriate instance of the sub-geometry - this encapsulates subclass specific constructor calls

Specified by:
  `createSubGeomInstance` in class `ComposedGeom`
Parameters:
  `token` - The token containing the value for the sub-geometry
  `haveM` - flag to indicate the existence of a measure
Returns:
  the new sub-geometry
Throws:
  `SQLException` - if a SQLException is thrown

### innerWKT

protected void innerWKT(StringBuffer SB)
Description copied from class: `Geometry`
Render the "inner" part of the WKT (inside the brackets) into the StringBuffer.

Overrides:
  `innerWKT` in class `ComposedGeom`
Parameters:
  `SB` - StringBuffer to render into

### getGeometries

public Geometry[] getGeometries()